Create a configuration backup
Creates a configuration backup to preserve the current state of your ONTAP system for future restoration. You specify the node and backup file name to complete this operation.
HTTP method and endpoint
POST /support/configuration-backup/backups
Introduced in
ONTAP 9.7
Usage notes
The required backup file name must end with .7z extension.
Required properties
-
node.uuidornode.name- The node UUID or node name on which the configuration backup will be created. -
name- The backup file name
Related ONTAP commands
-
system configuration backup create
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
auto |
boolean |
Indicates if the backup was created automatically. |
backup_nodes |
array[backup_node] |
The list of nodes included in the backup. |
download_link |
string |
The link to download the backup file. |
name |
string |
The backup name. |
node |
The node that owns the configuration backup. |
|
size |
integer |
The size of the backup in bytes. |
time |
string |
The backup creation time. |
type |
string |
The backup type. |
version |
string |
The software version. |
Example request
{
"backup_nodes": [
{
"name": "string"
}
],
"download_link": "https://10.224.65.198/backups/backup_file.7z",
"name": "backup_file.7z",
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"size": 4787563,
"time": "2019-02-04 18:33:48 +0000",
"type": "string",
"version": "9.7.0"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
5963818 |
Failed to queue private job. |
5963819 |
Failed to queue cluster job. |
5963871 |
Requested backup name is missing .7z suffix. |
Definitions
See Definitions
backup_node
The node name in the backup.
| Name | Type | Description |
|---|---|---|
name |
string |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
node
The node that owns the configuration backup.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
configuration_backup_file
The configuration backup file.
| Name | Type | Description |
|---|---|---|
auto |
boolean |
Indicates if the backup was created automatically. |
backup_nodes |
array[backup_node] |
The list of nodes included in the backup. |
download_link |
string |
The link to download the backup file. |
name |
string |
The backup name. |
node |
The node that owns the configuration backup. |
|
size |
integer |
The size of the backup in bytes. |
time |
string |
The backup creation time. |
type |
string |
The backup type. |
version |
string |
The software version. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |